<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <th:block th:include="~{fragments/head}"></th:block>
    <title>SafetyCar</title>
    <script src='https://www.google.com/recaptcha/api.js'></script>
</head>
<body>

<th:block th:include="~{fragments/header}"></th:block>

<main id="main">

    <!-- ======= Breadcrumbs ======= -->
    <section id="breadcrumbs" class="breadcrumbs">
        <div class="container">

            <div class="d-flex justify-content-between align-items-center">
                <h2>Update profile</h2>
                <ol>
                    <li><a href="/">Home</a></li>
                    <li>Update profile</li>
                </ol>
            </div>

        </div>
    </section>
    <!-- End Breadcrumbs -->

    <!-- ======= Add Secret Question Section ======= -->
    <section id="contact" class="contact">
        <div class="container">
            <div class="justify-content-center">
                <h5 style="display: flex; justify-content: center">Add a secret question and answer to your profile</h5>
            </div>
            <div class="row mt-5 justify-content-center" data-aos="fade-up">
                <div class="col-lg-10">

                    <form action="#" th:action="@{/profile/add-secret-question/__${addSecretDto.getUserId()}__}"
                          th:object="${addSecretDto}" method="post"
                          enctype="multipart/form-data" role="form"
                          class="php-email-form">
                        <p>
                            <i th:if="${error != null}" th:text="${error}" class="error"
                               style="color:red; font-size:x-large"></i>
                        </p>

                        <div class="form-row justify-content-center">
                            <div class="col-md-6 form-group req-asterisk">
                                <label for="questions-dropdown"><b>Question:</b></label>
                                <label th:errors="*{questionId}" style="color: red; font-weight: bold"></label>

                                <select th:field="*{questionName}" class="form-control" id="questions-dropdown"
                                        name="questions"
                                        required>
<!--                                    <option th:disabled th:selected th:text="Select a question">Select a question</option>-->
                                    <option selected value="0">Select a question</option>
                                    <option th:each="question : ${questions}"
                                            th:value="${question.id}"
                                            th:text="${question.name}">LAGER
                                    </option>
                                </select>

                            </div>
                        </div>

                        <div class="form-row justify-content-center">
                            <div class="col-md-6 form-group">
                                <label for="last-name"><b>Answer:</b></label>
                                <label th:errors="*{answer}" style="color: red; font-weight: bold"></label>
                                <input th:field="*{answer}" type="text" name="lastName" class="form-control"
                                       id="last-name"
                                       placeholder="Enter your answer"
                                       required/>
                            </div>
                        </div>

                        <div class="mb-3">
                            <div class="loading">Loading</div>
                            <div class="error-message"></div>
                            <div class="sent-message"></div>
                        </div>
                        <div class="text-center">
                            <button type="submit">Save</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </section>
    <!-- End Add Secret Question Section -->

</main>
<!-- End #main -->

<th:block th:include="~{fragments/footer-js-page-imports}"></th:block>
<script src="/assets/js/file-upload.js"></script>
<script type="text/javascript">
    var offer = document.getElementById("profile-active")
    offer.classList.add("active")
</script>

</body>
</html>